//--------------------------------------------------------------
// File     : main.c
// Datum    : 07.06.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der Digital-IN (DMA) Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_din_dma.h"

int main(void)
{
  uint8_t bit_pe3;
  uint16_t byte_port_e;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der Library
  // (8bit Digital Input PE8 bis PE15)
  UB_DIN_DMA_Init();

  // starten der Messung per DMA
  UB_DIN_DMA_Start();

  // warten bis Messung vorbei ist
  while(UB_DIN_DMA_Check()==DIN_DMA_RUNNING);

  // ein bit auslesen (position = 0)
  bit_pe3=UB_DIN_DMA_ReadKanal(3,0);

  // 8bit auslesen (position = 10)
  byte_port_e=UB_DIN_DMA_ReadAll(10);

  while(1)
  {

  }
}

